/*
 * aes.cc
 *
 *  Created on: 07-Nov-2021
 *      Author: Ahmet Can Mert
 *       Model: https://github.com/bozhu/AES-Python
 */

#ifndef SRC_AES_H_
#define SRC_AES_H_

#include<stdio.h>
#include<getopt.h>
#include<limits.h>
#include<stdint.h>

#include "xil_printf.h"
#include "xil_cache.h"

void key_gen(uint64_t *k, uint64_t *k_values, uint8_t *k_round);
void aes128_enc(uint64_t *p, uint64_t *c, uint8_t *keys);
void aes128_dec(uint64_t *p, uint64_t *c, uint8_t *keys);

#endif /* SRC_AES_H_ */
